> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--vibesec/queries/get-guidelines.md).

# getGuidelines

Get all available guidelines for an org with filtering, sorting, and pagination.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetGuidelines($input: GetGuidelinesInput) {
  getGuidelines(input: $input) {
    items {
      _id
      oxGuidelineId
      languages
      displayName
      description
      status
      isEditable
      createdBy
      createdAt
      updatedBy
      updatedAt
      category
      isDeleted
      isReady
    }
    total
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "input": {
    "filter": {
      "categoryIds": ["ThreatIntelligence"],
      "languages": ["Python"],
      "createdBy": ["admin@example.com"],
      "status": ["Enabled"],
      "search": "sql injection"
    },
    "sort": {
      "field": "DisplayName",
      "order": "Asc"
    },
    "limit": 100,
    "offset": 0
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetGuidelines($input: GetGuidelinesInput) { getGuidelines(input: $input) { items { _id oxGuidelineId languages displayName description status isEditable createdBy createdAt updatedBy updatedAt category isDeleted isReady } total } }",
 "variables": {
    "input": {
      "filter": {
        "categoryIds": ["ThreatIntelligence"],
        "languages": ["Python"],
        "createdBy": ["admin@example.com"],
        "status": ["Enabled"],
        "search": "sql injection"
      },
      "sort": {
        "field": "DisplayName",
        "order": "Asc"
      },
      "limit": 100,
      "offset": 0
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetGuidelines($input: GetGuidelinesInput) { getGuidelines(input: $input) { items { _id oxGuidelineId languages displayName description status isEditable createdBy createdAt updatedBy updatedAt category isDeleted isReady } total } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      input: {
        filter: {
          categoryIds: ["ThreatIntelligence"],
          languages: ["Python"],
          createdBy: ["admin@example.com"],
          status: ["Enabled"],
          search: "sql injection"
        },
        sort: {
          field: "DisplayName",
          order: "Asc"
        },
        limit: 100,
        offset: 0
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetGuidelines($input: GetGuidelinesInput) { getGuidelines(input: $input) { items { _id oxGuidelineId languages displayName description status isEditable createdBy createdAt updatedBy updatedAt category isDeleted isReady } total } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "input": {
        "filter": {
          "categoryIds": ["ThreatIntelligence"],
          "languages": ["Python"],
          "createdBy": ["admin@example.com"],
          "status": ["Enabled"],
          "search": "sql injection"
        },
        "sort": {
          "field": "DisplayName",
          "order": "Asc"
        },
        "limit": 100,
        "offset": 0
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `getGuidelines` query.

| Argument                                                                                                         | Description                                         | Supported fields                                                                                                                                                                                                                                                                                                                                 |
| ---------------------------------------------------------------------------------------------------------------- | --------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| input [`GetGuidelinesInput`](/api-documentation/api-reference/api--vibesec/types/inputs/get-guidelines-input.md) | Input object for filtering, sorting, and pagination | <p>filter <a href="/api-documentation/api-reference/api--vibesec/types/inputs/guideline-filter-input.md"><code>GuidelineFilterInput</code></a><br>sort <a href="/api-documentation/api-reference/api--vibesec/types/inputs/guideline-sort-input.md"><code>GuidelineSortInput</code></a><br>limit <code>Int</code><br>offset <code>Int</code></p> |

### Fields

Return type: [`GetGuidelinesResponse!`](/api-documentation/api-reference/api--vibesec/types/objects/get-guidelines-response.md)

You can use the following field(s) to specify what information your `getGuidelines` query will return. Please note that some fields may have their own subfields.

| Field                                                                                                                      | Description                | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| -------------------------------------------------------------------------------------------------------------------------- | -------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| items [`[GuidelineSummary!]!`](/api-documentation/api-reference/api--vibesec/types/objects/guideline-summary.md)           | List of guidelines         | <p>\_id <code>String!</code><br>oxGuidelineId <code>String</code><br>languages <a href="/api-documentation/api-reference/api--vibesec/types/enums/guideline-language.md"><code>\[GuidelineLanguage!]!</code></a><br>displayName <code>String!</code><br>description <code>String</code><br>status <a href="/api-documentation/api-reference/api--vibesec/types/enums/guideline-status.md"><code>GuidelineStatus!</code></a><br>isEditable <code>Boolean!</code><br>createdBy <code>String!</code><br>createdAt <code>DateTime!</code><br>updatedBy <code>String!</code><br>updatedAt <code>DateTime!</code><br>category <a href="/api-documentation/api-reference/api--vibesec/types/enums/category-id.md"><code>CategoryId!</code></a><br>isDeleted <code>Boolean!</code><br>isReady <code>Boolean!</code></p> |
| ~~data~~ [~~`[GuidelineSummary!]!`~~](/api-documentation/api-reference/api--vibesec/types/objects/guideline-summary.md) ⚠️ | **Deprecated**: Use items  | <p>\_id <code>String!</code><br>oxGuidelineId <code>String</code><br>languages <a href="/api-documentation/api-reference/api--vibesec/types/enums/guideline-language.md"><code>\[GuidelineLanguage!]!</code></a><br>displayName <code>String!</code><br>description <code>String</code><br>status <a href="/api-documentation/api-reference/api--vibesec/types/enums/guideline-status.md"><code>GuidelineStatus!</code></a><br>isEditable <code>Boolean!</code><br>createdBy <code>String!</code><br>createdAt <code>DateTime!</code><br>updatedBy <code>String!</code><br>updatedAt <code>DateTime!</code><br>category <a href="/api-documentation/api-reference/api--vibesec/types/enums/category-id.md"><code>CategoryId!</code></a><br>isDeleted <code>Boolean!</code><br>isReady <code>Boolean!</code></p> |
| total `Float!`                                                                                                             | Total number of guidelines |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--vibesec/queries/get-guidelines.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
